org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeDeserializer

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer
  - - org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeDeserializer

- All Implemented Interfaces:
    Serializable

      public class GraphSONTypeDeserializer
      extends org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase

  Contains main logic for the whole JSON to Java deserialization. Handles types embedded with the version 2.0 of GraphSON.
  Author:
    Kevin Gallardo (https://kgdo.me)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase

      `_baseType, _defaultImpl, _defaultImplDeserializer, _deserializers, _idResolver, _property, _typeIdVisible, _typePropertyName`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserializeTypedFromAny(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser, org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromArray(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser, org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromObject(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser, org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromScalar(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser, org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)`
    `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer` | `forProperty(org.apache.tinkerpop.shaded.jackson.databind.BeanProperty beanProperty)`
    `Class<?>` | `getDefaultImpl()`
    `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeIdResolver` | `getTypeIdResolver()`
    `org.apache.tinkerpop.shaded.jackson.annotation.JsonTypeInfo.As` | `getTypeInclusion()`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase

      `_deserializeWithNativeTypeId, _deserializeWithNativeTypeId, _findDefaultImplDeserializer, _findDeserializer, _handleMissingTypeId, _handleUnknownTypeId, baseType, baseTypeName, getPropertyName, toString`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer

      `deserializeIfNatural, deserializeIfNatural`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### forProperty

          public org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer forProperty(org.apache.tinkerpop.shaded.jackson.databind.BeanProperty beanProperty)

      Specified by:
        `forProperty` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### getTypeInclusion

          public org.apache.tinkerpop.shaded.jackson.annotation.JsonTypeInfo.As getTypeInclusion()

      Specified by:
        `getTypeInclusion` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### getTypeIdResolver

          public org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeIdResolver getTypeIdResolver()

      Overrides:
        `getTypeIdResolver` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### getDefaultImpl

          public Class<?> getDefaultImpl()

      Overrides:
        `getDefaultImpl` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### deserializeTypedFromObject

          public Object deserializeTypedFromObject(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser,
                                                   org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)
                                            throws IOException

      Specified by:
        `deserializeTypedFromObject` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromArray

          public Object deserializeTypedFromArray(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser,
                                                  org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)
                                           throws IOException

      Specified by:
        `deserializeTypedFromArray` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromScalar

          public Object deserializeTypedFromScalar(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser,
                                                   org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)
                                            throws IOException

      Specified by:
        `deserializeTypedFromScalar` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromAny

          public Object deserializeTypedFromAny(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser,
                                                org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)
                                         throws IOException

      Specified by:
        `deserializeTypedFromAny` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.